%define 	module	git_slug
Summary:	Tools to interact with PLD git repositories
Name:		git-core-slug
Version:	0.13.1
Release:	1
License:	GPL v2
Group:		Development/Building
Source0:	https://github.com/draenog/slug/tarball/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	26402b6144bc5f560bf1dff028e15fc2
Source1:	slug_watch.init
Source2:	crontab
Source3:	slug_watch.sysconfig
Source4:	slug_watch-cron
URL:		https://github.com/draenog/slug
BuildRequires:	asciidoc
BuildRequires:	docbook-dtd45-xml
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	xmlto
Requires:	git-core
Requires:	python3-modules
Suggests:	openssh-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python tools to interact with PLD git repositories.

%package watch
Summary:	Daemon to update Refs repository for git-slug
Group:		Development/Building
Requires:	git-core-slug
Requires:	pld-gitolite
Requires:	python3-pyinotify
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description watch
Daemon to update Refs repository for git-slug. It is to be run on PLD
gitolite server.

%prep
%setup -qc
mv draenog-slug-*/* .

%build
%{__python3} setup.py build
%{make} man

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install \
	--install-data=/home/services/git \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%{__make} man-install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/git-core
ln -s %{_bindir}/slug.py $RPM_BUILD_ROOT%{_libdir}/git-core/git-pld
echo ".so slug.py.1" > $RPM_BUILD_ROOT%{_mandir}/man1/git-pld.1

install -Dp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/slug_watch
install -d $RPM_BUILD_ROOT/home/services/git/.gitolite/hooks/common
cp -rp post-receive.python.d $RPM_BUILD_ROOT/home/services/git/.gitolite/hooks/common
install -d $RPM_BUILD_ROOT/home/services/git/{watchdir,Refs}
touch $RPM_BUILD_ROOT/home/services/git/{watchdir,Refs}

install -Dp %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/slug_watch
install -Dp %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/slug_watch
install -Dp %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post watch
/sbin/chkconfig --add slug_watch
%service slug_watch restart

%preun watch
if [ "$1" = "0" ]; then
	%service -q slug_watch stop
	/sbin/chkconfig --del slug_watch
fi

%files
%defattr(644,root,root,755)
%doc HOWTO Changelog
%attr(755,root,root) %{_bindir}/slug.py
%{_libdir}/git-core/git-pld
%{_mandir}/man1/*.1*
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/git_core_slug-*.egg-info

%files watch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/slug_watch
%attr(755,root,root) %{_bindir}/slug_watch-cron
%attr(754,root,root) /etc/rc.d/init.d/slug_watch
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/slug_watch
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/slug_watch
%attr(755,git,git) /home/services/git/adc/bin/trash
%attr(755,git,git) /home/services/git/adc/bin/move
%{py3_sitescriptdir}/Daemon
%attr(644,git,git) /home/services/git/.gitolite/hooks/common/post-receive.python.d/slug_hook.py
%attr(744,git,git) %dir /home/services/git/watchdir
%attr(744,git,git) %dir /home/services/git/Refs
%changelog
* Mon Jul 09 2012 Kacper Kornet <draenog@pld-linux.org> 98f806d
- up to 0.13.1

* Thu Jul 05 2012 Kacper Kornet <draenog@pld-linux.org> 5d502cc
- up to 0.13

* Sun Jul 01 2012 Elan Ruusamäe <glen@pld-linux.org> b435d21
- cleanups, pldize, no double slash

* Sat Jun 30 2012 Kacper Kornet <draenog@pld-linux.org> 8ea7ae2
- up to 0.12
- don't replace crontab file

* Sat Jun 30 2012 Kacper Kornet <draenog@pld-linux.org> b3468b8
- don't hardcode position of repositories in crontab

* Thu Jun 28 2012 Kacper Kornet <draenog@pld-linux.org> 22db0de
- up to 0.11

* Thu Jun 28 2012 Kacper Kornet <draenog@pld-linux.org> 5086e1f
- slug_watch daemon requires python3-pyinotify

* Thu Jun 28 2012 Kacper Kornet <draenog@pld-linux.org> a91d78d
- don't pack Attic; its location is configurable

* Wed Jun 27 2012 Kacper Kornet <draenog@pld-linux.org> c7a1844
- up to 0.10
- change user from gitolite to git

* Mon Apr 02 2012 Kacper Kornet <draenog@pld-linux.org> 027fa75
- fix Source0-md5

* Mon Apr 02 2012 Kacper Kornet <draenog@pld-linux.org> 791800b
- up to 0.9.1

* Tue Mar 27 2012 Kacper Kornet <draenog@pld-linux.org> bb3d3d9
- use standard syntax in crontab

* Mon Mar 26 2012 Kacper Kornet <draenog@pld-linux.org> e8ca3b2
- up to 0.9
- crontab file for slug_watch

* Fri Mar 16 2012 Kacper Kornet <draenog@pld-linux.org> d355912
- fix Source0-md5

* Fri Mar 16 2012 Kacper Kornet <draenog@pld-linux.org> c6fa250
- up to 0.8
- add slug_watch daemon

* Thu Sep 29 2011 Kacper Kornet <draenog@pld-linux.org> 90b1528
- up to v0.7

* Mon Sep 26 2011 Kacper Kornet <draenog@pld-linux.org> c0f5b3f
- up to v0.5

* Sun Sep 25 2011 Kacper Kornet <draenog@pld-linux.org> bb2f362
- make to more like other python3 specs

* Thu Sep 22 2011 Kacper Kornet <draenog@pld-linux.org> 564f629
- up to 0.4

* Tue Sep 20 2011 Kacper Kornet <draenog@pld-linux.org> 84a8ac7
- up to 0.3

